Subject: Re: [PATCH net] net: openvswitch: free vport unless register_netdevice() succeeds

From: Stefano Brivio <[email-masked]>
Date: Mon, 21 Oct 2019 13:41:24 +0200

On Mon, 21 Oct 2019 19:08:01 +0800
Hillf Danton <[email-masked]> wrote:

> Hey Stefano 
> 
> On Mon, 21 Oct 2019 18:02:48 +0800 Stefano Brivio wrote:
> > 
> > ---
> > This patch was sent to [email-masked] and appeared on netdev
> > only as Pravin replied to it, giving his Acked-by. I contacted the  
> 
> Correct. I am unable to find the patches I sent to lkml on
> https://lore.kernel.org/lkml/.
> 
> > original author one month ago requesting to resend this to netdev,
> > but didn't get an answer, so I'm now resending the original patch.
> >   
> Nor patches to <[email-masked]>.
> Say sorry to you for missing in action.
> I sent a mail to <[email-masked]> sometime ago asking for
> how to cure the pain, without a message echoed since.
> That is my poor defend.

Ouch, and also this reply didn't reach netdev. Looking at headers:

Received: from r3-20.sinamail.sina.com.cn (r3-20.sinamail.sina.com.cn [202.108.3.20])
	by mx1.redhat.com (Postfix) with SMTP id 9868983F45
	for <[email-masked]>; Mon, 21 Oct 2019 11:08:14 +0000 (UTC)
Received: from unknown (HELO localhost.localdomain)([222.131.66.83])
	by sina.com with ESMTP
	id 5DAD919A000082B3; Mon, 21 Oct 2019 19:08:12 +0800 (CST)

it's not in DNSRBL or anything, and looks similar enough to e.g.:

	https://patchwork.kernel.org/patch/10663003/

that was received without issues by [email-masked]. The only
relevant difference seems to be the missing HELO from
r3-20.sinamail.sina.com.cn, I have no idea why that would be omitted.

Headers added by MTA delivering this to me:

X-Greylist: Sender passed SPF test, ACL 264 matched, not delayed by milter-greylist-4.5.16 (mx1.redhat.com [10.5.110.27]); Mon, 21 Oct 2019 11:08:19 +0000 (UTC)
X-Greylist: inspected by milter-greylist-4.5.16 (mx1.redhat.com [10.5.110.27]); Mon, 21 Oct 2019 11:08:19 +0000 (UTC) for IP:'202.108.3.20' DOMAIN:'r3-20.sinamail.sina.com.cn' HELO:'r3-20.sinamail.sina.com.cn' FROM:[email-masked]' RCPT:''
X-RedHat-Spam-Score: 0.001  (FREEMAIL_FROM,SPF_HELO_NONE,SPF_PASS) 202.108.3.20 r3-20.sinamail.sina.com.cn 202.108.3.20 r3-20.sinamail.sina.com.cn <[email-masked]>

it even passes SPF. But maybe the missing HELO is a problem for SPF on
vger.kernel.org?

Checked against http://vger.kernel.org/majordomo-taboos.txt, also no
matches.

Sorry, I don't have any suggestions other than contacting
[email-masked] again -- perhaps from a different address.

> >  net/openvswitch/vport-internal_dev.c | 11 ++++-------
> >  1 file changed, 4 insertions(+), 7 deletions(-)  
> 
> And feel free to pick up the diff if they make sense, as you see,
> they were sent usually without the Signed-off-by tag.

I think this submission should be fine, I added you as From: and kept
your original Signed-off-by -- thanks for fixing this by the way!

-- 
Stefano